# - Try to find GstMarshal library

#=============================================================================
# Copyright 2014 Kurento
#
#=============================================================================

set(PACKAGE_VERSION "1.0.1")
set(GstMarshal_VERSION ${PACKAGE_VERSION})

find_package(PkgConfig)

pkg_check_modules(_GSTREAMER REQUIRED gstreamer-1.0>=1.2.0)

find_path(GstMarshal_INCLUDE_DIR
  NAMES
    kmsassembler.h
    kmsfragmenter.h
    kmsmessage.h
    marshal.h
  PATH_SUFFIXES
    include
    kurento/gstmarshal
)

set(GstMarshal_INCLUDE_DIRS ${GstMarshal_INCLUDE_DIR} ${_GSTREAMER_INCLUDE_DIRS}
  CACHE INTERNAL "Include directories for GstMarshal library"
)

find_library (GstMarshal_LIBRARY
  NAMES
    gstmarshal
  PATH_SUFFIXES
    build/lib
)

set (GstMarshal_LIBRARIES ${GstMarshal_LIBRARY} ${_GSTREAMER_LIBRARIES}
  CACHE INTERNAL "Libraries for GstMarshal"
)

include (FindPackageHandleStandardArgs)

find_package_handle_standard_args(GstMarshal
  FOUND_VAR
    GstMarshal_FOUND
  REQUIRED_VARS
    GstMarshal_VERSION
    GstMarshal_INCLUDE_DIR
    GstMarshal_INCLUDE_DIRS
    GstMarshal_LIBRARY
    GstMarshal_LIBRARIES
  VERSION_VAR
    GstMarshal_VERSION
)

mark_as_advanced(
  GstMarshal_FOUND
  GstMarshal_VERSION
  GstMarshal_INCLUDE_DIR
  GstMarshal_INCLUDE_DIRS
  GstMarshal_LIBRARY
  GstMarshal_LIBRARIES
)
